cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
Announcements

740
Views
10
Helpful
10
Replies
hurricane05
Beginner

Upgrade FMCv to 7.1.x Question

Can you upgrade FMCv from 6.7.0.65 directly to 7.1.0.90 or do you have to upgrade to 7.0 first and then upgrade to 7.1?

 

Thx in advance for any assistance given.

1 ACCEPTED SOLUTION

Accepted Solutions
balaji.bandi
VIP Guru

You can go directly as per the release notes :

 

Table 2. Minimum Version to Upgrade to Version 7.1.0

Platform

Minimum Version

FMC

6.5.0

FTD

6.5.0

FXOS 2.11.1.154 is required for the Firepower 4100/9300. In most cases, we recommend you use the latest FXOS build in each major version. To help you decide, see the Cisco Firepower 4100/9300 FXOS Release Notes, 2.11(1).

 

https://www.cisco.com/c/en/us/td/docs/security/firepower/710/relnotes/firepower-release-notes-710/upgrade.html

BB

***** Rate All Helpful Responses *****

How to Ask The Cisco Community for Help

View solution in original post

10 REPLIES 10
balaji.bandi
VIP Guru

You can go directly as per the release notes :

 

Table 2. Minimum Version to Upgrade to Version 7.1.0

Platform

Minimum Version

FMC

6.5.0

FTD

6.5.0

FXOS 2.11.1.154 is required for the Firepower 4100/9300. In most cases, we recommend you use the latest FXOS build in each major version. To help you decide, see the Cisco Firepower 4100/9300 FXOS Release Notes, 2.11(1).

 

https://www.cisco.com/c/en/us/td/docs/security/firepower/710/relnotes/firepower-release-notes-710/upgrade.html

BB

***** Rate All Helpful Responses *****

How to Ask The Cisco Community for Help

Thx for the quick response. So in order to use 7.1.x, the FXOS has to be at version 2.11.1.154? We are currently running FXOS 2.10.1.179 on our 4100 appliances.

 

Thx in advance for any assistance given.

yes you need to uplift to manage with 7.1 that is the requirement.

 

BB

***** Rate All Helpful Responses *****

How to Ask The Cisco Community for Help

I did my upgrade recently from FMC physical appliance in HA-Pair version 6.4 to version 6.7. From 6.7 to 7.1

 

If you running the FMC in HA pair. first you need to upgrade the secondary appliance

 

  • Manually stop HA synchronization
  • Upgrade the passive FMC
  • Wait for the upgrade to finish (HA state may change to degraded, which is normal)
  • Upgrade the active FMC (Upgrade cannot be started while standby FMC is not finished)
  • Wait for active FMC to reboot and all processes to start up
  • Promote the primary FMC to become active
  • Deploy configuration to your sensors to verify everything is working as expected

 

In my deployment we had 4x2140 and 2x4120. In regards to 2140 the upgrade had fxos and ftd software combined in one package file. for 4120 the path is you need to upgrade the 4120

 

 

FOR 4120.

  • Upgrade FMC first

  • Upgrade FXOS on standby unit

  • Upgrade firmware via CLI on standby 4120 unit

  • Failover to standby unit after FXOS & firmware has been upgraded

  • Upgrade FXOS on primary (now standby) 4120 chassis

  • Upgrade firmware via CLI

  • Upgrade FTD via FMC

here good link for 4100 series upgrade.

please do not forget to rate.

@Sheraz.Salim  - Nice stuff..!! Cheers!

BB

***** Rate All Helpful Responses *****

How to Ask The Cisco Community for Help

Aref Alsouqi
Rising star

Yes, upgrading from 6.7.0 or 6.7.x to 7.1.0 or 7.1.x is a direct upgrade, you don't have to go for the 7.0.x first.

Thx for the feedback. I'll have to upgrade to 7.0.x FMC instead and wait till I have another maintenance window in order to upgrade the FXOS to latest.

 

Thx in advance for any feedback provided.

yes for now that is the case, you have only the option to be Limited to that version, which supports FXos.

 

BB

***** Rate All Helpful Responses *****

How to Ask The Cisco Community for Help

hurricane05
Beginner

Thx everyone for your input. Greatly appreciated.

Create
Recognize Your Peers
Content for Community-Ad